## isoquery 1.2

=== wscript ===
#!/usr/bin/env python
# encoding: utf-8

# Import necessary python modules
import os

# Import canonical version from isoquery
from isoquery import __version__

APPNAME = 'isoquery'
VERSION = __version__

top = '.'
out = 'build'

from waflib import Scripting
Scripting.excludes.append('.eric4project')
Scripting.excludes.append('.ropeproject')
Scripting.excludes.append('debian')
Scripting.excludes.append('isoquery.e4p')

def options(opt):
    # Options for disabling pyc or pyo compilation
    opt.tool_options('python')
    # Support usual directory variables like MANDIR, DATADIR, etc.
    opt.tool_options('gnu_dirs')

def configure(conf):
    # Check that required programs are available
    conf.find_program('msgfmt', var='MSGFMT')
    conf.find_program(['rst2man','rst2man.py'], var='RST2MAN')
    conf.find_program('gzip', var='GZIP')
    conf.find_program('po4a-translate', var='PO4A_TRANSLATE')
    conf.check_tool('python')
    conf.check_python_version((2,4))
    conf.check_tool('gnu_dirs')

def build(bld):
    # Compile python files
    bld(
        features = 'py',
        source = bld.path.ant_glob('isoquery/*.py'),
        install_path = '${PYTHONDIR}/isoquery',
    )
    # Register installation paths
    bld.install_files('${BINDIR}', 'bin/isoquery', chmod=0755)
    bld.install_files('${DOCDIR}', ['ChangeLog', 'README', 'TODO', 'AUTHORS'])

    # Manpages
    # Generate man page from rst source files
    bld(
        source = 'man/isoquery.rst',
        target = 'man/isoquery.1',
        rule = '${RST2MAN} ${SRC} ${TGT}',
    )
    bld(
        source = 'man/de.add man/de.po man/isoquery.rst',
        target = 'man/de/isoquery.rst',
        rule = '${PO4A_TRANSLATE} ' + \
               '--format text ' + \
               '--option markdown ' + \
               '--addendum ${SRC[0].bldpath()} ' + \
               '--po ${SRC[1].bldpath()} ' + \
               '--master ${SRC[2].bldpath()} ' + \
               '--master-charset UTF-8 ' + \
               '--localized ${TGT}',
    )
    bld(
        source = 'man/de/isoquery.rst',
        target = 'man/de/isoquery.1',
        rule = '${RST2MAN} ${SRC} ${TGT}',
    )
    # Compress and install man pages
    bld(
        source = 'man/isoquery.1',
        target = 'man/isoquery.1.gz',
        rule = '${GZIP} --best --stdout ${SRC} > ${TGT}',
    )
    bld.install_files('${MANDIR}/man1', 'man/isoquery.1.gz')
    bld(
        source = 'man/de/isoquery.1',
        target = 'man/de/isoquery.1.gz',
        rule = '${GZIP} --best --stdout ${SRC} > ${TGT}',
    )
    bld.install_files('${MANDIR}/de/man1', 'man/de/isoquery.1.gz')

    # Generate .mo files
    for translation in bld.path.ant_glob('po/*.po'):
        # Get locale from basename of the file, without extension (.po)
        locale = os.path.basename(translation.path_from(bld.path))[:-3]
        # Create a task for each translation file
        mo_file = bld(
            source = translation,
            target = translation.change_ext('.mo'),
            rule = '${MSGFMT} --check --output ${TGT} ${SRC}',
        )
        # The file needs a new name for installation
        bld.install_as(
            '${LOCALEDIR}/%s/LC_MESSAGES/isoquery.mo' % locale,
            mo_file.target
        )

=== debian/changelog ===
isoquery (1.2-1) unstable; urgency=low

  * New upstream release
    - Fix invalid syntax for Python 2.4. Thanks to Cristian Ionescu-Idbohrn
      for the bug report and patch. Closes: #591035
  * Update watch file

 -- Tobias Quathamer <toddy@debian.org>  Sat, 31 Jul 2010 18:05:00 +0200

isoquery (1.1-1) unstable; urgency=low

  * New upstream release
    - French translation update, thanks to Christian Perrier. Closes: #589554
    - New translation to Russian, thanks to Yuri Kozlov. Closes: #589521
    - New translation to Czech, thanks to Michal Šimůnek. Closes: #589719
    - New translation to Danish, thanks to Joe Hansen. Closes: #589861
    - New translation to Spanish, thanks to Omar Campagne. Closes: #590564
  * Add python-docutils and po4a to Build-Depends-Indep for manpage
    generation with rst2man and translation with po4a
  * Update to Standards-Version 3.9.1, no changes needed

 -- Tobias Quathamer <toddy@debian.org>  Wed, 28 Jul 2010 10:45:25 +0200

isoquery (1.0-1) experimental; urgency=low

  * New upstream release
    - Complete rewrite in Python
  * Add python-support to Build-Depends-Indep
  * Add python-lxml to Depends
  * Switch to dpkg source format 3.0 (quilt)
  * Update to Standards-Version 3.9.0, no changes needed

 -- Tobias Quathamer <toddy@debian.org>  Wed, 30 Jun 2010 21:48:02 +0200

isoquery (0.18-1) unstable; urgency=low

  * New upstream release
  * Switch to debhelper v7, reduce debian/rules
  * Update debian/copyright and replace (C) with ©
  * Update to Standards-Version 3.8.1, no changes needed
  * Add ${misc:Depends} to debian/control to fix a Lintian warning

 -- Tobias Quathamer <toddy@debian.org>  Mon, 01 Jun 2009 07:52:40 +0200

isoquery (0.17-1) unstable; urgency=low

  * New upstream release
  * Change maintainer's last name to Quathamer

 -- Tobias Quathamer <toddy@debian.org>  Wed, 26 Nov 2008 10:12:47 +0100

isoquery (0.16-1) unstable; urgency=low

  * New upstream release
  * Update to Standards-Version 3.8.0, no changes needed

 -- Tobias Toedter <toddy@debian.org>  Tue, 01 Jul 2008 17:37:53 +0200

isoquery (0.15-1) unstable; urgency=low

  * New upstream release

 -- Tobias Toedter <toddy@debian.org>  Mon, 02 Jun 2008 19:02:42 +0200

isoquery (0.14-1) unstable; urgency=low

  * New upstream release
    - Fix bug which could cause isoquery to throw an Glib::ConvertError.
      Thanks to George Danchev for the bug report. Closes: #474534
  * Use hardening-wrapper on m68k as well
  * Change Maintainer's e-mail address
  * Correct URL of public git repository
  * Remove DM upload rights, they are no longer needed

 -- Tobias Toedter <toddy@debian.org>  Thu, 24 Apr 2008 10:58:10 +0200

isoquery (0.13-1) unstable; urgency=low

  * New upstream release
  * Build-Depend on hardening-wrapper

 -- Tobias Toedter <t.toedter@gmx.net>  Wed, 12 Mar 2008 09:20:28 +0100

isoquery (0.12-1) unstable; urgency=low

  * New upstream version
    - Add #include statements required by GCC 4.3. Thanks to
      Martin Michlmayr for the bug report and patch. Closes: #462206

 -- Tobias Toedter <t.toedter@gmx.net>  Thu, 24 Jan 2008 12:29:45 +0000

isoquery (0.11-1) unstable; urgency=low

  * New upstream version

 -- Tobias Toedter <t.toedter@gmx.net>  Wed, 09 Jan 2008 11:01:43 +0100

isoquery (0.10-1) unstable; urgency=low

  * New upstream version
  * Recommend iso-codes. Thanks to Tony Mancill and Trent W. Buck for
    pointing this out. Closes: #458614
  * Update copyright years
  * Update Vcs-* fields to new git repository

 -- Tobias Toedter <t.toedter@gmx.net>  Wed, 02 Jan 2008 12:00:58 +0100

isoquery (0.9-2) unstable; urgency=low

  * Mention that src/gettext.h is licensed under LGPL in debian/copyright.
    Thanks to Joerg Jaspert for pointing this out.

 -- Tobias Toedter <t.toedter@gmx.net>  Fri, 28 Dec 2007 15:06:44 +0100

isoquery (0.9-1) unstable; urgency=low

  * Initial release (Closes: #453445)

 -- Tobias Toedter <t.toedter@gmx.net>  Thu, 22 Nov 2007 10:50:30 +0100

=== debian/control ===
Source: isoquery
Section: misc
Priority: optional
Maintainer: Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-support, python-docutils, po4a
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=users/toddy/isoquery.git;a=summary
Vcs-Git: git://git.debian.org/~toddy/isoquery.git

Package: isoquery
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-lxml
Recommends: iso-codes
Description: Search and display various ISO codes (country, language, ...)
 This program can be used to generate a tabular output of the ISO standard
 codes provided by the package iso-codes.
 .
 It parses the XML files and shows all included ISO codes or just
 matching entries, if specified on the command line.
 .
 Moreover, it's possible to get all available translations for
 the ISO standard.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
ftp://pkg-isocodes.alioth.debian.org/pub/pkg-isocodes/isoquery-(.*)\.tar\.bz2

## isoquery 1.4

=== wscript ===
--- 
+++ 
@@ -66,8 +66,25 @@
                '--localized ${TGT}',
     )
     bld(
+        source = 'man/pt.add man/pt.po man/isoquery.rst',
+        target = 'man/pt/isoquery.rst',
+        rule = '${PO4A_TRANSLATE} ' + \
+               '--format text ' + \
+               '--option markdown ' + \
+               '--addendum ${SRC[0].bldpath()} ' + \
+               '--po ${SRC[1].bldpath()} ' + \
+               '--master ${SRC[2].bldpath()} ' + \
+               '--master-charset UTF-8 ' + \
+               '--localized ${TGT}',
+    )
+    bld(
         source = 'man/de/isoquery.rst',
         target = 'man/de/isoquery.1',
+        rule = '${RST2MAN} ${SRC} ${TGT}',
+    )
+    bld(
+        source = 'man/pt/isoquery.rst',
+        target = 'man/pt/isoquery.1',
         rule = '${RST2MAN} ${SRC} ${TGT}',
     )
     # Compress and install man pages
@@ -83,6 +100,12 @@
         rule = '${GZIP} --best --stdout ${SRC} > ${TGT}',
     )
     bld.install_files('${MANDIR}/de/man1', 'man/de/isoquery.1.gz')
+    bld(
+        source = 'man/pt/isoquery.1',
+        target = 'man/pt/isoquery.1.gz',
+        rule = '${GZIP} --best --stdout ${SRC} > ${TGT}',
+    )
+    bld.install_files('${MANDIR}/pt/man1', 'man/pt/isoquery.1.gz')
 
     # Generate .mo files
     for translation in bld.path.ant_glob('po/*.po'):

=== debian/changelog ===
isoquery (1.4-1) unstable; urgency=low

  * New upstream release
    - New translation to Vietnamese, thanks to Clytie Siddall.
      Closes: #598618

 -- Tobias Quathamer <toddy@debian.org>  Sat, 02 Oct 2010 21:53:20 +0200

isoquery (1.3-1) unstable; urgency=low

  * New upstream release
    - New translation to Portuguese, thanks to Américo Monteiro.
      Closes: #592431
    - New manpage translation to Portuguese, thanks to Américo Monteiro.
      Closes: #592433
  * Add new package countrycodes as a transitional dummy package. This
    eases the removal of the obsolete package countrycodes in the squeeze
    release. Closes: #506189

 -- Tobias Quathamer <toddy@debian.org>  Sun, 15 Aug 2010 18:32:01 +0200

=== debian/control ===
--- 
+++ 
@@ -21,3 +21,14 @@
  .
  Moreover, it's possible to get all available translations for
  the ISO standard.
+
+Package: countrycodes
+Architecture: all
+Depends: ${misc:Depends}, isoquery, iso-codes
+Description: ISO 3166 country code finder (transitional dummy package)
+ This is a dummy package to ease transition from countrycodes
+ to the package isoquery.
+ .
+ It can be safely removed from your system.
+ .
+ Use the program isoquery to get information about ISO 3166 country codes.

## isoquery 1.5

=== wscript ===
--- 
+++ 
@@ -66,6 +66,18 @@
                '--localized ${TGT}',
     )
     bld(
+        source = 'man/fr.add man/fr.po man/isoquery.rst',
+        target = 'man/fr/isoquery.rst',
+        rule = '${PO4A_TRANSLATE} ' + \
+            '--format text ' + \
+            '--option markdown ' + \
+            '--addendum ${SRC[0].bldpath()} ' + \
+            '--po ${SRC[1].bldpath()} ' + \
+            '--master ${SRC[2].bldpath()} ' + \
+            '--master-charset UTF-8 ' + \
+            '--localized ${TGT}',
+    )
+    bld(
         source = 'man/pt.add man/pt.po man/isoquery.rst',
         target = 'man/pt/isoquery.rst',
         rule = '${PO4A_TRANSLATE} ' + \
@@ -81,6 +93,11 @@
         source = 'man/de/isoquery.rst',
         target = 'man/de/isoquery.1',
         rule = '${RST2MAN} ${SRC} ${TGT}',
+    )
+    bld(
+	    source = 'man/fr/isoquery.rst',
+	    target = 'man/fr/isoquery.1',
+	    rule = '${RST2MAN} ${SRC} ${TGT}',
     )
     bld(
         source = 'man/pt/isoquery.rst',
@@ -100,6 +117,12 @@
         rule = '${GZIP} --best --stdout ${SRC} > ${TGT}',
     )
     bld.install_files('${MANDIR}/de/man1', 'man/de/isoquery.1.gz')
+    bld(
+	    source = 'man/fr/isoquery.1',
+	    target = 'man/fr/isoquery.1.gz',
+	    rule = '${GZIP} --best --stdout ${SRC} > ${TGT}',
+    )
+    bld.install_files('${MANDIR}/fr/man1', 'man/fr/isoquery.1.gz')
     bld(
         source = 'man/pt/isoquery.1',
         target = 'man/pt/isoquery.1.gz',

=== debian/changelog ===
isoquery (1.5-1ubuntu1) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 12:28:08 +0000

isoquery (1.5-1) unstable; urgency=low

  * New upstream release
    - If the locale does not exist for the given ISO standard,
      print a warning message and use the untranslated (thus
      English) strings. Closes: #624147
    - Review isoquery manpage, thanks to David Prévot. Closes: #627577
    - New manpage translation to French, thanks to David Prévot.
      Closes: #628841
    - Updated translations:
      + Swedish, thanks to Martin Bagge. Closes: #628863
      + Russian, thanks to Yuri Kozlov. Closes: #628966
      + Czech, thanks to Michal Simunek. Closes: #629112
      + French, thanks to Christian Perrier. Closes: #629164
      + Danish, thanks to Joe Hansen. Closes: #630246
  * Use debhelper v8
  * Update years in copyright
  * Update to Standards-Version 3.9.2, no changes needed

 -- Tobias Quathamer <toddy@debian.org>  Tue, 14 Jun 2011 00:51:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: misc
 Priority: optional
 Maintainer: Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-support, python-docutils, po4a
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8)
+Build-Depends-Indep: python (>= 2.6.6-3~), python-docutils, po4a
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=users/toddy/isoquery.git;a=summary
 Vcs-Git: git://git.debian.org/~toddy/isoquery.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2

# debhelper v7 does not yet support the waf build system, so
# some helpers need to be overridden.

override_dh_auto_clean:
	./waf distclean
	# Remove __init__.pyc, which is skipped by waf
	rm -f isoquery/__init__.pyc

override_dh_auto_configure:
	./waf configure --prefix=/usr

override_dh_auto_build:
	./waf build

override_dh_auto_install:
	./waf --destdir=$(CURDIR)/debian/isoquery install
	# Remove ChangeLog, which gets automatically installed
	rm -f $(CURDIR)/debian/isoquery/usr/share/doc/isoquery/ChangeLog

## isoquery 1.7

=== debian/changelog ===
isoquery (1.7-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:47:50 +0000

isoquery (1.7-1) unstable; urgency=low

  * New upstream release
    - Fix a UnicodeEncodeError in version output, thanks to David Prévot.
      Closes: #650746
    - Use standard distutils setup.py file for building and installing
      the package, remove waf build system completely. Closes: #654476
  * Remove transitional package countrycodes
  * Remove useless README file from package, thanks to David Prévot.
    Closes: #653759
  * Update copyright years
  * Build using dh_python2, patch taken from Ubuntu
  * Update download location in debian/watch and debian/copyright

 -- Tobias Quathamer <toddy@debian.org>  Tue, 24 Jan 2012 00:08:14 +0100

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,3 @@
  .
  Moreover, it's possible to get all available translations for
  the ISO standard.
-
-Package: countrycodes
-Architecture: all
-Depends: ${misc:Depends}, isoquery, iso-codes
-Description: ISO 3166 country code finder (transitional dummy package)
- This is a dummy package to ease transition from countrycodes
- to the package isoquery.
- .
- It can be safely removed from your system.
- .
- Use the program isoquery to get information about ISO 3166 country codes.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2

# Remove the COPYING file, it's included in debian/copyright.
# README contains just instructions for building and installing
# the program, not needed in the debian package.
override_dh_installdocs:
	dh_installdocs
	rm $(CURDIR)/debian/isoquery/usr/share/doc/isoquery/COPYING
	rm $(CURDIR)/debian/isoquery/usr/share/doc/isoquery/README

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://pkg-isocodes.alioth.debian.org/downloads/isoquery-(.*)\.tar\.bz2

## isoquery 2.0

=== debian/changelog ===
isoquery (2.0-6) unstable; urgency=medium

  * Really remove obsolete conffile this time.
    Thanks to Jakub Wilk for insisting ;-) (Closes: #811483)
  * Fix git URL

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 27 Jan 2016 16:26:12 +0100

isoquery (2.0-5) unstable; urgency=medium

  * Add d/maintscript to remove obsolete conffile. (Closes: #811483)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 22 Jan 2016 10:05:40 +0100

isoquery (2.0-4) unstable; urgency=medium

  * Rebuild to install bash completion into correct directory
  * Update maintainer name
  * Fix syntax of d/copyright
  * Use HTTPS for git URLs
  * Switch to python3-docutils

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 15 Jan 2016 22:20:20 +0100

isoquery (2.0-3) unstable; urgency=medium

  * Add bash completion for isoquery.
    Thanks to Ben Finney <ben+debian@benfinney.id.au> (Closes: #762667)
  * Use DEP-5 copyright
  * Update Standards-Version to 3.9.6, no changes needed

 -- Tobias Quathamer <toddy@debian.org>  Sat, 18 Oct 2014 23:34:11 +0200

isoquery (2.0-2) unstable; urgency=medium

  * Update Vcs-URLs to Debian packaging
  * Build-Depend on libgee-0.8-dev, fixes FTBFS.
    Thanks to David Suárez <david.sephirot@gmail.com> (Closes: #755319)

 -- Tobias Quathamer <toddy@debian.org>  Tue, 22 Jul 2014 10:05:49 +0200

isoquery (2.0-1) unstable; urgency=low

  * Imported Upstream version 2.0
    - Significantly faster than previous version. Closes: #649675
    - Correctly handles ISO 639-3 again. Closes: #698882
  * Use debhelper v9
  * Update URLs for git repository
  * Update Standards-Version to 3.9.5, no changes needed
  * Update dependencies of package
  * Update URL for debian/watch
  * Update copyright years
  * Use dh-autoreconf during build
  * Reduce debian/rules, documentation is now handled correctly by debhelper
  * Add AUTHORS to installed docs

 -- Tobias Quathamer <toddy@debian.org>  Fri, 30 May 2014 21:32:46 +0200

=== debian/control ===
Source: isoquery
Section: misc
Priority: optional
Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, libisocodes-dev (>= 1.2),
 valac (>= 0.20), libglib2.0-dev, libxml2-dev, libgee-0.8-dev,
 python3-docutils, po4a, bash-completion
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/users/toddy/debian/isoquery.git
Vcs-Git: https://anonscm.debian.org/git/users/toddy/debian/isoquery.git

Package: isoquery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: iso-codes
Description: Search and display various ISO codes (country, language, ...)
 This program can be used to generate a tabular output of the ISO standard
 codes provided by the package iso-codes.
 .
 It parses the XML files and shows all included ISO codes or just
 matching entries, if specified on the command line.
 .
 Moreover, it's possible to get all available translations for
 the ISO standard.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf,bash-completion

## isoquery 3.1.0

=== debian/changelog ===
isoquery (3.1.0-1) unstable; urgency=medium

  * Imported Upstream version 3.1.0
    - Added French translation. Closes: #830161
    - Added French manpage translation. Closes: #830163

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 13 Jul 2016 14:39:26 +0200

isoquery (3.0.1-1) unstable; urgency=medium

  * Imported Upstream version 3.0.1
    - Update Build-Depends for new codebase
    - Update package description
    - Update copyright with new download location
    - Update watch file with new download location
    - Update bash completion script
  * Add homepage
  * Use all hardening flags
  * Update Standards-Version to 3.9.8, no changes needed
  * Include locale generation in d/rules to enable testing

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 10 Jun 2016 11:44:09 +0200

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
https://github.com/toddy15/isoquery/releases .*/isoquery-(\d\S*)\.tar\.gz

## isoquery 3.2.1

=== debian/changelog ===
isoquery (3.2.1-2) unstable; urgency=medium

  * Fix FTBFS in test suite after iso-codes translation update.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #862301)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 11 May 2017 21:00:21 +0200

isoquery (3.2.1-1) unstable; urgency=medium

  * Imported Upstream version 3.2.1
    - Fix FTBFS due to recent changes in iso-codes. Thanks to
      Lucas Nussbaum for the bug report. Closes: #835775
  * Update watch file

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 30 Aug 2016 22:00:57 +0200

=== debian/control ===
Source: isoquery
Section: misc
Priority: optional
Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, libglib2.0-dev, libjson-glib-dev,
 python3-docutils, po4a, bash-completion,
# The following packages are only needed for testing during the build
 iso-codes, locales
Standards-Version: 3.9.8
Homepage: https://github.com/toddy15/isoquery
Vcs-Browser: https://anonscm.debian.org/cgit/users/toddy/debian/isoquery.git
Vcs-Git: https://anonscm.debian.org/git/users/toddy/debian/isoquery.git

Package: isoquery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: iso-codes
Description: Search and display various ISO codes (country, language, ...)
 This program can be used to generate a tabular output of the ISO standard
 codes provided by the package iso-codes.
 .
 It parses the JSON files and shows all included ISO codes or just
 matching entries, if specified on the command line.
 .
 Moreover, it's possible to get all available translations for
 the ISO standard.

## isoquery 3.2.2

=== debian/changelog ===
isoquery (3.2.2-1) unstable; urgency=medium

  * New upstream version 3.2.2
    - Fix FTBFS due to missing newline character in German translation.
      Closes: #876855
  * Use debhelper v10
  * Update d/copyright
  * Remove dh-autoreconf from Depends
  * Remove patch, has been applied upstream
  * Update Standards-Version to 4.1.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 26 Sep 2017 14:26:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: misc
 Priority: optional
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libglib2.0-dev, libjson-glib-dev,
+Build-Depends: debhelper (>= 10), libglib2.0-dev, libjson-glib-dev,
  python3-docutils, po4a, bash-completion,
 # The following packages are only needed for testing during the build
  iso-codes, locales
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/toddy15/isoquery
 Vcs-Browser: https://anonscm.debian.org/cgit/users/toddy/debian/isoquery.git
 Vcs-Git: https://anonscm.debian.org/git/users/toddy/debian/isoquery.git

## isoquery 3.2.3

=== debian/changelog ===
isoquery (3.2.3-1) unstable; urgency=medium

  * New upstream version 3.2.3
    - Fix FTBFS due to changed po4a string extraction in rst manpage.
      Closes: #906475

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 18 Aug 2018 22:22:21 +0200

isoquery (3.2.2-2) unstable; urgency=medium

  * Use debhelper v11
  * Update d/copyright
  * Update Vcs-URLs to salsa.d.o
  * Update Standards-Version to 4.1.3, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 21 Jan 2018 16:40:13 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: misc
 Priority: optional
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 10), libglib2.0-dev, libjson-glib-dev,
+Build-Depends: debhelper (>= 11), libglib2.0-dev, libjson-glib-dev,
  python3-docutils, po4a, bash-completion,
 # The following packages are only needed for testing during the build
  iso-codes, locales
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/toddy15/isoquery
-Vcs-Browser: https://anonscm.debian.org/cgit/users/toddy/debian/isoquery.git
-Vcs-Git: https://anonscm.debian.org/git/users/toddy/debian/isoquery.git
+Vcs-Browser: https://salsa.debian.org/debian/isoquery
+Vcs-Git: https://salsa.debian.org/debian/isoquery.git
 
 Package: isoquery
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Use all hardening features
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Link only with needed libraries
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# For testing, it's necessary to have a UTF-8 enabled locale available,
# otherwise, the tests regarding the translations are failing.
override_dh_auto_test:
	mkdir -p $(CURDIR)/debian/tmpdir/locale
	localedef -i de_DE -f UTF-8 $(CURDIR)/debian/tmpdir/locale/de_DE.UTF-8
	LOCPATH=$(CURDIR)/debian/tmpdir/locale LANG=de LC_ALL=de_DE.UTF-8 dh_auto_test

# Remove the tmpdir for the locale, see above.
override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/tmpdir

%:
	dh $@ --with autoreconf,bash-completion

## isoquery 3.2.4

=== debian/changelog ===
isoquery (3.2.4-1+deb11u1) bullseye; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for test to match French translation change
    in iso-codes. (Closes: #991653)

 -- Adrian Bunk <bunk@debian.org>  Thu, 08 Dec 2022 20:33:56 +0200

isoquery (3.2.4-1) unstable; urgency=medium

  * New upstream version 3.2.4
  - Update test to match French translation change in iso-codes.
    Closes: #963371
  * Use debhelper v13
  * Do not hardcode --as-needed linker flag
  * Update to Standards-Version 4.5.1
  * Update d/copyright
  * Set Rules-Requires-Root to no

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 28 Dec 2020 17:24:11 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 
 # Use all hardening features
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-# Link only with needed libraries
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # For testing, it's necessary to have a UTF-8 enabled locale available,
 # otherwise, the tests regarding the translations are failing.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/isoquery-$1\.tar\.gz/ \
  https://github.com/toddy15/isoquery/releases .*/v?(\d\S*)\.tar\.gz

## isoquery 3.2.6

=== debian/changelog ===
isoquery (3.2.6-1) unstable; urgency=medium

  * New upstream version 3.2.6
    - Update test data to current iso-codes 4.8.0, so that tests no longer
      fail. Closes: #998587
  * Support 'nocheck' in $(DEB_BUILD_OPTIONS)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 15 Nov 2021 12:28:08 +0100

isoquery (3.2.5-1) unstable; urgency=medium

  * New upstream version 3.2.5
  - Update test to match French translation change in iso-codes.
    Closes: #991653
  * Mark isoquery Multi-Arch: foreign.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #949771)
  * Add gbp.conf for DEP-14
  * Update Standards-Version to 4.6.0, no changes needed
  * Update d/copyright
  * Update d/watch to v4

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 26 Aug 2021 20:52:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Section: misc
 Priority: optional
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 11), libglib2.0-dev, libjson-glib-dev,
+Build-Depends: debhelper-compat (= 13), libglib2.0-dev, libjson-glib-dev,
  python3-docutils, po4a, bash-completion,
 # The following packages are only needed for testing during the build
  iso-codes, locales
-Standards-Version: 4.1.3
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/toddy15/isoquery
 Vcs-Browser: https://salsa.debian.org/debian/isoquery
 Vcs-Git: https://salsa.debian.org/debian/isoquery.git
 
 Package: isoquery
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: iso-codes
 Description: Search and display various ISO codes (country, language, ...)

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/isoquery-$1\.tar\.gz/ \
  https://github.com/toddy15/isoquery/releases .*/v?(\d\S*)\.tar\.gz

## isoquery 3.3.0

=== debian/changelog ===
isoquery (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
  * Add --flag to bash completion script
  * Update d/copyright
  * Update Standards-Version to 4.6.1, no changed needed
  * Add compression = xz to gbp.conf

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 13 Jun 2022 20:42:33 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  python3-docutils, po4a, bash-completion,
 # The following packages are only needed for testing during the build
  iso-codes, locales
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/toddy15/isoquery
 Vcs-Browser: https://salsa.debian.org/debian/isoquery

## isoquery 3.3.2

=== debian/changelog ===
isoquery (3.3.2-1) unstable; urgency=medium

  * New upstream version 3.3.2
    - Add Build-Depends on asciidoctor, remove python3-docutils
  * Change URLs to new upstream location

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 27 Oct 2022 21:11:23 +0200

=== debian/control ===
Source: isoquery
Section: misc
Priority: optional
Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
# The packages iso-codes and locales are only
# needed for testing during the build
Build-Depends: asciidoctor,
               bash-completion,
               debhelper-compat (= 13),
               iso-codes,
               libglib2.0-dev,
               libjson-glib-dev,
               locales,
               po4a
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://codeberg.org/toddy/isoquery
Vcs-Browser: https://salsa.debian.org/debian/isoquery
Vcs-Git: https://salsa.debian.org/debian/isoquery.git

Package: isoquery
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: iso-codes
Description: Search and display various ISO codes (country, language, ...)
 This program can be used to generate a tabular output of the ISO standard
 codes provided by the package iso-codes.
 .
 It parses the JSON files and shows all included ISO codes or just
 matching entries, if specified on the command line.
 .
 Moreover, it's possible to get all available translations for
 the ISO standard.

## isoquery 3.3.3

=== debian/changelog ===
isoquery (3.3.3-1) unstable; urgency=medium

  * New upstream version 3.3.3
  * Update d/copyright
  * Update Standards-Version to 4.6.2, no changed needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 28 Feb 2023 12:15:46 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libjson-glib-dev,
                locales,
                po4a
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://codeberg.org/toddy/isoquery
 Vcs-Browser: https://salsa.debian.org/debian/isoquery

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,11 @@
 # For testing, it's necessary to have a UTF-8 enabled locale available,
 # otherwise, the tests regarding the translations are failing.
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p $(CURDIR)/debian/tmpdir/locale
 	localedef -i de_DE -f UTF-8 $(CURDIR)/debian/tmpdir/locale/de_DE.UTF-8
 	LOCPATH=$(CURDIR)/debian/tmpdir/locale LANG=de LC_ALL=de_DE.UTF-8 dh_auto_test
+endif
 
 # Remove the tmpdir for the locale, see above.
 override_dh_auto_clean:

## isoquery 3.3.4

=== debian/changelog ===
isoquery (3.3.4-1) unstable; urgency=medium

  * New upstream version 3.3.4
    - Remove patch, fixed upstream
    - Build-Depend on locales-all instead of generating a custom locale.
      This simplifies d/rules a lot. (Closes: #1052772)
    - Update Portuguese manpage. (Closes: #1019558)
  * Update Standards-Version to 4.7.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 27 Apr 2024 17:52:04 +0200

isoquery (3.3.3-1.1) unstable; urgency=medium

  [ Steve Langasek ]
  * debian/patches/test-locale-is-C: Don't expect non-English output
    under LANG=C.UTF-8.  Closes: #1052772.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 27 Apr 2024 14:02:12 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                iso-codes,
                libglib2.0-dev,
                libjson-glib-dev,
-               locales,
+               locales-all,
                po4a
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://codeberg.org/toddy/isoquery
 Vcs-Browser: https://salsa.debian.org/debian/isoquery

=== debian/rules ===
#!/usr/bin/make -f

# Use all hardening features
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf,bash-completion

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/isoquery-$1\.tar\.gz/ \
  https://codeberg.org/toddy/isoquery/tags .*/v?(\d\S*)@ARCHIVE_EXT@
